--/* Start File Header -------------------------------------------------------
--Copyright (C) 2010 DigiPen Institute of Technology.
--Reproduction or disclosure of this file or its contents without the prior written consent of DigiPen Institute of Technology is prohibited.
--File Name: wrappers.lua
--Purpose: To provide various wrappers around lua functionality for ease of use.
--Authors: Robert Francis - 100%
--- End File Header --------------------------------------------------------*/

function GOPosition ( name, instance, x, y, z )
	Game(name, instance, x, "GOPosX");
	Game(name, instance, y, "GOPosY");
	Game(name, instance, z, "GOPosZ");
end

function GOGraphicsModel ( name, instance, model )
	Game(name, instance, "Graphics", "ModelName", model, "SetCompString");
end

function SendLuaMessage(script)
  Game(script, 0.0, "SendDelayedLuaMessage");
end

function Vec2(X, Y)
  return {x = X, y = Y};
end

function Vec3(X, Y, Z)
  return {x = X, y = Y, z = Z};
end

function Vec4(X, Y, Z, W)
  return {x = X, y = Y, z = Z, w = W};
end